﻿using rkismvvm.Views;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace rkismvvm.ViewsModels
{
    class ProfileViewModel : BaseViewModel
    {
       
        private RelayCommand _back;
        public RelayCommand Back
        {
            get
            {
                return _back ??
                (_back = new RelayCommand(obj =>
                {
                    MenuWindow menu = new MenuWindow();
                    menu.Show();
                    foreach (var win in App.Current.Windows)
                    {
                        if (win is Profile profile)
                        {
                            profile.Close();
                        }
                    }
                }));
            }
        }
        private User _user;
        public User User
        {
            get => _user;
            set
            {
                _user = value;
                OnPropertyChanged();
            }
        }
        public ProfileViewModel()
        {
            _user = MainWindowViewModel.CurrentUser;
        }

    }
}
