﻿using rkismvvm.Views;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace rkismvvm.ViewsModels
{
    public class ListUsersViewModel: BaseViewModel
    {
        private RelayCommand _back;
        public RelayCommand Back
        {
            get
            {
                return _back ??
                (_back = new RelayCommand(obj =>
                {
                    MenuWindow menu = new MenuWindow();
                    menu.Show();
                    foreach (var win in App.Current.Windows)
                    {
                        if (win is ListUsers list)
                        {
                            list.Close();
                        }
                    }
                }));
            }
        }
        private ObservableCollection<User> _users;
        public ObservableCollection<User> Users
        {
            get => _users;
            set
            {
                _users = value;
                OnPropertyChanged();
            }
        }
        public ListUsersViewModel()
        {
            TaskHelpContext contex = new TaskHelpContext();
            Users = new ObservableCollection<User>(contex.Users);
        }
    }
}
