﻿using rkismvvm.Views;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;


namespace rkismvvm.ViewsModels
{
    public class MainWindowViewModel : BaseViewModel
    {
        private static string _login;
        public static string Login
        {
            get { return _login; }
            set
            {
                _login = value;
                BaseViewModel baseViewModel = new BaseViewModel();
                baseViewModel.OnPropertyChanged();
            }
        }
        public static User CurrentUser { get; set; }

        private RelayCommand _auth;
        public RelayCommand Auth
        {
            get
            {
                return _auth ?? (_auth = new RelayCommand(x =>
                {
                    var password = ((PasswordBox)x).Password;
                    TaskHelpContext context = new TaskHelpContext();
                    var user = context.Users.FirstOrDefault(x => x.Login == _login && x.Password == password);
                    if (user != null)
                    {
                        CurrentUser = user;
                        MenuWindow mw = new MenuWindow();
                        mw.Show();
                            foreach (var win in App.Current.Windows)
                            {
                                if (win is MainWindow mainwindow)
                                {
                                    mainwindow.Close();
                                }
                            }
                    }
                    else
                        MessageBox.Show("Плохо", "Регистрация", MessageBoxButton.OK);

                }));
            }
        }
        private RelayCommand _openreg;
        public RelayCommand OpenReg
        {
            get
            {
                return _openreg ??
                (_openreg = new RelayCommand(x =>
                {
                    Registration registration = new Registration();
                    registration.Show();
                    foreach (var win in App.Current.Windows)
                    {
                        if (win is MainWindow mw)
                        {
                            mw.Close();
                        }
                    }
                }));
            }
        }
    }
}
