﻿using rkismvvm.Views;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace rkismvvm.ViewsModels
{
    public class RegistrationViewModel: BaseViewModel
    {
        private static string _login;
        public static string Login
        {
            get { return _login; }
            set
            {
                _login = value;

            }
        }
        private static string _phonenum;
        public static string PhoneNum
        {
            get { return _phonenum; }
            set
            {
                _phonenum = value;

            }
        }
        private static string _lastname;
        public static string LastName
        {
            get { return _lastname; }
            set
            {
                _lastname = value;
;
            }
        }
        private static string _name;
        public static string Name
        {
            get { return _name; }
            set
            {
                _name = value;

            }
        }
        private static string _middlename;
        public static string MiddleName
        {
            get { return _middlename; }
            set
            {
                _middlename = value;

            }
        }

        private RelayCommand _reg;
        public RelayCommand Reg
        {
            get
            {
                return _reg ?? (_reg = new RelayCommand(x =>
                {
                    var password = ((PasswordBox)x).Password;
                    TaskHelpContext context = new TaskHelpContext();
                    User user = new User
                    {
                        UserId = context.Users.Count()+1,
                        Login = _login,
                        Password = password,
                        LastName = _lastname,
                        Name = _name,
                        MiddleName = _middlename,
                        PhoneNum = _phonenum
                    };
                    context.Users.Add(user);
                    context.SaveChanges();

                    MenuWindow mw = new MenuWindow();
                        mw.Show();
                        foreach (var win in App.Current.Windows)
                        {
                            if (win is Registration registration)
                            {
                                registration.Close();
                            }
                        }
                }));
            }
        }
        private RelayCommand _back;
        public RelayCommand Back
        {
            get
            {
                return _back ??
                (_back = new RelayCommand(obj =>
                {
                    MainWindow main = new MainWindow();
                    main.Show();
                    foreach (var win in App.Current.Windows)
                    {
                        if (win is MyTasks mytasks)
                        {
                            mytasks.Close();
                        }
                    }
                }));
            }
        }
    }
}
